Bug 1434428 - No payload sent to rhevm4.0 from cfme-5.7.0
Summary: No payload sent to rhevm4.0 from cfme-5.7.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: GA
: 5.7.2
Assignee: Juan Hernández
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev:provision:cloud-init
Depends On: 1427603
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-21 13:39 UTC by Satoe Imaishi
Modified: 2020-04-15 15:31 UTC (History)
8 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1427603
Environment:
Last Closed: 2017-04-12 14:46:32 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ manageiq pull 14139 0 None None None 2017-03-21 13:40:26 UTC
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 CFME Bot 2017-03-21 14:05:53 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3852c837ebe5ce56f649737ee0b71252f2cd5741

commit 3852c837ebe5ce56f649737ee0b71252f2cd5741
Author:     Brandon Dunne <brandondunne@hotmail.com>
AuthorDate: Fri Mar 17 13:28:28 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Mar 21 10:00:34 2017 -0400

    Merge pull request #14139 from jhernand/add_ovirt_cloud_init_customization_template
    
    Add oVirt cloud-init customization template
    (cherry picked from commit 1029890136014d5e35d8715d0b41f92292068552)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1434428

 db/fixtures/customization_templates.yml | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

Comment 3 Ilanit Stein 2017-04-02 07:56:07 UTC
Verified on CFME-5.7.2/RHV-4.0.7

From CFME, VM provision, Native, using a template with type rhel7.
In Customize tab, Choose Ovirt cloud-init template. 

VM's payload is OK: 
CFME is passing the correct cloud-init script to RHV. 
SSH to the host that runs the VM.
Run the following:
  # ps -ef | grep qemu-kvm | grep the_name_of_the_vm

That will have a very long command line, and should have a 'payload'
option that points to the generated floppy, something like this:

  -drive file=/var/run/vdsm/payload/ae3a9cd4-....img

Copy that file somewhere, and mount it:

  # mount -o loop,ro that_file.img /mnt

Then explore the content:

  # find /mnt -type f
  /mnt/openstack/content/0000
  /mnt/openstack/latest/meta_data.json
  /mnt/openstack/latest/user_data

The 'openstack/latest/user_data' file should contain the cloud-init
configuration that CFME sent to RHV: 

> #cloud-config
> output:
>  all: '>> /var/log/cloud-init-output.log'
> password: '1'
> disable_root: 0
> runcmd:
> - 'sed -i ''/^datasource_list: /d'' /etc/cloud/cloud.cfg; echo
> ''datasource_list:
>  ["NoCloud", "ConfigDrive"]'' >> /etc/cloud/cloud.cfg'
> ssh_pwauth: true
> chpasswd:
>  expire: false
> user: root
> runcmd:
> - nmcli connection down eth0
> - nmcli connection modify eth0 ip4 10.1.1.10/23 <http://10.1.1.10/23>
> gw4 10.1.1.254 ipv4.dns "10.1.1.200"
>  ipv4.dns-search "virt.lab.example.com <http://virt.lab.example.com>"
> - nmcli connection up eth0 


Please Note that in case eth0 connection do not exist before the modify eth0 step, need to add the connection as follows:

* Check if connection eth0 exist:

> [root@add_p_2 ~]# nmcli c s
>
> NAME         UUID                                  TYPE
>  DEVICE
> System eth0  5fb06bd0-0bb0-7ffb-45f1-d6edd65f3e03  802-3-ethernet  eth0
>
> eth0         9658e09c-e5cd-48ae-9d28-2f0c5132bd0d  802-3-ethernet  --
>

* Command to add the connection, if it DO NOT exist:

> [root@add_p_2 ~]# nmcli c add con-name eth0 ifname eth0 type ethernet
> Connection 'eth0' (34e472c2-484b-45a8-8ab1-212b4d825c84) successfully added.

Comment 4 errata-xmlrpc 2017-04-12 14:46:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.